#
# spec file for package perl-Mojolicious-Plugin-Webpack
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Mojolicious-Plugin-Webpack
Name:           perl-Mojolicious-Plugin-Webpack
Version:        1.02
Release:        1.6
License:        Artistic-2.0
Summary:        Mojolicious ♥ Webpack
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::chdir) >= 0.10
BuildRequires:  perl(Mojolicious) >= 8.00
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(File::chdir) >= 0.10
Requires:       perl(Mojolicious) >= 8.00
%{perl_requires}

%description
Mojolicious::Plugin::Webpack is a Mojolicious plugin to make it easier to
work with https://webpack.js.org/ or https://rollupjs.org/. This plugin
will...

* 1.

Generate a minimal 'package.json' and a Webpack or Rollup config file.
Doing this manually is possible, but it can be quite time consuming to
figure out all the bits and pieces if you are not already familiar with
Webpack.

* 2.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes example

%changelog
* Sat Jul 30 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.02
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  1.02 2022-07-29T10:45:50+0900
  - Fix "pnpm init -y" is not a valid command
  - Fix installing both devDependencies and dependencies #14 #15
    Contributor: Daniel Mantovani
* Tue May 25 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.01
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  1.01 2021-05-25T07:36:24+0900
  - Removed need for assets/asset_map.mode.json
  - Add support for mojo webpack --build
  1.00 2021-05-24T15:17:08+0900
  - Add Mojo::Alien::npm
  - Add Mojo::Alien::rollup
  - Add Mojo::Alien::webpack
  - Made Mojo::Alien::npm compatible with https://pnpm.io/
  - Improved dependency tracking in ./node_modules
  - Rewrote Plugin::Webpack using new Mojo::Alien:: modules
  - Updated examples to match "alien" modules
  - Fix being able to include images and other processed assets #7
  - Fix vulnerabilities reported by GitHub #12
  - Fix CI Ubuntu workflow
* Mon Dec 21 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  0.14 2020-12-21T09:42:41+0900
  - Fix route warnings issued by latest Mojolicious
  - Will install new node modules present in "dependencies"
  - Migrated to webpack 5
    Contributor: Daniel Mantovani
* Wed Sep  9 2020 Tina Müller <tina.mueller@suse.com>
- Limit description paragraphs
* Mon Sep  7 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.13
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  0.13 2020-09-07T10:10:24+0900
  - Fix "sass-loader" options #4
  - Removed support for "shim"
  - Improved documentation
* Tue Oct  8 2019 <timueller+perl@suse.de>
- updated to 0.12
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  0.12 2019-10-07T07:02:11+0900
  - Renamed every ".dev." file to ".development." #2
  0.11 2019-10-05T22:12:07+0900
  - Will skip entries in generated HTML file that does not match current mode.
  0.10 2019-10-02T15:35:43+0900
  - Add support for custom "npm" binary
  - Need to look in "devDependencies" as well to skip install of node module
  - Will only install modules once
* Tue May 21 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.09
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Webpack/Changes
  0.09 2019-05-20T22:37:42+0200
  - Add support for rollup.js
  - Changed the EXPERIMENTAL statement
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- initial package 0.08
  * created by cpanspec 1.78.09
